Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.gen
Class EPPCreateCmd

    java.lang.Object
      com.verisign.epp.codec.gen.EPPCommand
          com.verisign.epp.codec.gen.EPPCreateCmd

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  EPPContactCreateCmd, EPPDefRegCreateCmd, EPPDomainCreateCmd, EPPEmailFwdCreateCmd, EPPHostCreateCmd, EPPNameWatchCreateCmd, EPPRegistryCreateCmd

    public abstract class EPPCreateCmd

extends EPPCommand

The EPP <create> command is used to create an instance of an object. An object may be created for an indefinite period of time, or an object may be created for a specific validity period. The EPP mapping for an object MUST describe the status of an object with respect to time, to include expected client and server behavior if a validity period is used.
The elements needed to identify an object and associated attributes are object-specific, so the child elements of the <create> command are specified using the EPP extension framework. In addition to the standard EPP command elements, the <create> command SHALL contain the following child elements: An object-specific <obj:create> element that identifies the object to be created and the elements that are required to create the object.
`EPPCreateCmd` is an abtract EPP command class that represents a create operation. A command mapping create command extends `EPPCreateCmd`. For example, `EPPDomainCreateCmd` is a `EPPCreateCmd` that implements the Domain Create Command Mapping.

Version:
  $Revision: 1.3 $
Author:
  $Author: jim $
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPCommand
`extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

Constructor Summary
`EPPCreateCmd()` Default constructor for `EPPCreateCmd`.
`EPPCreateCmd(java.lang.String aTransId)` `EPPCreateCmd` that takes all required attributes as arguments.

Method Summary
`protected abstract void` | `doDecode(org.w3c.dom.Element aElement)` Must be defined by `EPPCreateCmd` extensions (Command Mappings) to decode the attributes to a DOM Element tree.
`protected abstract org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Must be defined by `EPPCreateCmd` extensions (Command Mappings) to encode the attributes to a DOM Element tree.
`protected void` | `doGenDecode(org.w3c.dom.Element aElement)` Decodes the `EPPCreateCmd` attributes from the `aElement` DOM Element tree.
`protected org.w3c.dom.Element` | `doGenEncode(org.w3c.dom.Document aDocument)` Encodes a DOM Element tree from the attributes of the `EPPCreateCmd` instance.
`boolean` | `equals(java.lang.Object aObject)` Compares an instance of `EPPCreateCmd` with this instance.
`java.lang.String` | `getType()` Gets the EPP command type associated with `EPPCreateCmd`.

Methods inherited from class com.verisign.epp.codec.gen.EPPCommand
`addExtension, clone, decode, encode, getExtension, getExtension, getExtensions, getNamespace, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPCreateCmd

    public EPPCreateCmd()

  Default constructor for `EPPCreateCmd`.

### EPPCreateCmd

    public EPPCreateCmd(java.lang.String aTransId)

  `EPPCreateCmd` that takes all required attributes as arguments. This will call the super `EPPCommand(String)` method to set the transaction id for the command.

  Parameters:
    `aTransId` - Transaction Id associated with command.

Method Detail

### getType

    public java.lang.String getType()

  Gets the EPP command type associated with `EPPCreateCmd`.

  Specified by:
    `getType` in class `EPPCommand`
  Returns:
    EPPCommand.TYPE_CREATE

### equals

    public boolean equals(java.lang.Object aObject)

  Compares an instance of `EPPCreateCmd` with this instance.

  Overrides:
    `equals` in class `EPPCommand`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### doGenEncode

    protected org.w3c.dom.Element doGenEncode(org.w3c.dom.Document aDocument)
                                       throws EPPEncodeException

  Encodes a DOM Element tree from the attributes of the `EPPCreateCmd` instance. This method is a member of the Template Design Pattern. `EPPCommand.encode` is a Template Method and this method is a Primitive Operation within the Template Method Design Pattern.

  Specified by:
    `doGenEncode` in class `EPPCommand`
  Parameters:
    `aDocument` - - DOM Document that is being built. Used as an Element factory.
  Returns:
    Root DOM Element representing the `EPPCreateCmd` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPCreateCmd` instance.

### doGenDecode

    protected void doGenDecode(org.w3c.dom.Element aElement)
                        throws EPPDecodeException

  Decodes the `EPPCreateCmd` attributes from the `aElement` DOM Element tree. This method is a member of the Template Design Pattern. `EPPCommand.decode` is a Template Method and this method is a Primitive Operation within the Template Method Design Pattern.

  Specified by:
    `doGenDecode` in class `EPPCommand`
  Parameters:
    `aElement` - - Root DOM Element to decode `EPPCreateCmd` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### doEncode

    protected abstract org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                             throws EPPEncodeException

  Must be defined by `EPPCreateCmd` extensions (Command Mappings) to encode the attributes to a DOM Element tree. `doGenEncode` is a Template Method and this method is a Primitive Operation within the Template Method Design Pattern.

  Parameters:
    `aDocument` - - DOM Document that is being built. Used as an Element factory.
  Returns:
    Root DOM Element representing the EPPCreateCmd extension instance.
  Throws:
    `EPPEncodeException` - Unable to encode EPPCreateCmd extension instance.

### doDecode

    protected abstract void doDecode(org.w3c.dom.Element aElement)
                              throws EPPDecodeException

  Must be defined by `EPPCreateCmd` extensions (Command Mappings) to decode the attributes to a DOM Element tree. `doGenDecode` is a Template Method and this method is a Primitive Operation within the Template Method Design Pattern.

  Parameters:
    `aElement` - Root DOM Element representing the `EPPCreateCmd` extension instance.
  Throws:
    `EPPDecodeException` - Unable to decode `aElement`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.